/* FEUILLE DE STYLES POUR LES MENUS SOUS FORME D'ONGLETS */

.menus 
{
   font:14px "Comic Sans MS", "Times New Roman", Times, serif;
   /* list-style-type est à préciser impérativement sinon l'onglet actif est 
   marqué d'un point avec certains navigateurs (ex : FireFox) */
   list-style-type:none;
   /* Il est impératif de mettre une marge gauche négative sinon décalage */ 
   margin-left:-40px;
   text-align:center;

}

/* Style général de chaque onglet */
.menus li
{
   /* Fond vert pâle (c'est la couleur de fond de l'onglet ouvert) 
   Ce fond sera recouvert par un Fond vert pour les onglets fermés */
   background-color : #eba32e;
   /* Couleur rouge */
   color:var(--texte-discret-color);
   float:left;
   margin:0px 0px 0px 0px;
   /* Bordure blanche */
   border:solid 3px white;
   /* Logiquement, le pourcentage devrait être égal à 100/nombre d'onglets 
   mais les bordures prennent de la place ; il faut donc réduire à 18% 
   certains navigateurs n'acceptent pas les nombres réels donc on met
   un nombre entier) mais pour l'onglet actif, on passe à 20% (voir styles 
   ongletOuvertPrem et ongletOuvert) */
   /* passage à 7 onglets => 15 % */
   width:19%;
   height:5%;
}

/* Style de l'onglet ouvert cas 1er onglet */
.menus .ongletOuvertPrem 
{ 
   /* Effacement du trait inférieur (pour cela, on le met de la même couleur que
   le fond de la page) */
   /* passage à 18% avec 6 onglets */
   border-bottom:solid 2px var(--onglets-bg-color);
   /* Couleur verte plus foncée */
   color:var(--texte-discret-color);
   /* comme onglets inactifs */
   width:19%;
}

/* Style de l'onglet ouvert cas autres onglets que le 1er */
.menus .ongletOuvert 
{ 
   /* Effacement du trait inférieur et du trait de gauche (pour cela, on les met 
   de la même couleur que le fond de la page) */
   background-color : #eba32e;
   border-bottom:solid 2px var(--onglets-bg-color);
   border-left:solid 2px var(--main-bg-color);
   /* Couleur verte plus foncée */
   color:var(--texte-discret-color);
   /* onglets inactifs = onglets ouverts (plus larges) => 13 % pour 7 */
   width:19%;
}

/* Style de l'onglet non ouvert cas 1er onglet */
.menus .ongletPrem 
{ 
   /* Fond vert */
   background-color : #eba32e;
   /* Couleur rouge */
   color : var(--texte-accentue-color);
   margin:0px 0px 0px 0px;
}

/* Style du lien d'un onglet non ouvert cas 1er onglet */
.menus .ongletPrem a 
{ 
   /* Fond vert */
   background-color:#eba32e;
   /* Couleur rouge */
   color:var(--texte-accentue-color);
   /* Pas de soulignement du lien */
   text-decoration:none;
}

/* Style de l'onglet non ouvert cas autres onglets que le 1er */
.menus .onglet 
{ 
   /* Fond vert */
   background-color:#eba32e;
   /* Couleur rouge */
   color : var(--texte-accentue-color);
   margin:0px 0px 0px 0px;
   /* Effacement du trait de gauche (pour cela, on le met de la même couleur que 
   le fond de l'onglet) */
   border-left:solid 2px var(--main-bg-color);
}

/* Style du lien d'un onglet non ouvert cas autres onglets que le 1er */
.menus .onglet a 
{ 
   /* Fond vert */ 
   background-color :#eba32e;
   /* Couleur rouge */
   color : var(--texte-accentue-color);
   /* Pas de soulignement du lien */
   text-decoration:none; 
}
